package be.vlcdnc.webstore.backoffice.front;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;

@Stateless
@Remote(TestService.class)
@TransactionAttribute(TransactionAttributeType.REQUIRED)
public class TestServiceBean implements TestService {

    @Override
    public FrontPageDTO getFrontPage() {
        final List<CategoryTreeDTO> categories = new ArrayList<CategoryTreeDTO>();
        categories.add(create("Dog", "Hond", "Hunte"));
        categories.add(create("Cat", "Kat", "Kitte"));
        categories.add(create("Fish", "Vis", "Ves"));
        return new FrontPageDTO(categories);
    }

    private CategoryTreeDTO create(final String en, final String nl, final String de) {
        final Map<String, String> name = new HashMap<String, String>();
        name.put("en", en);
        name.put("nl", nl);
        name.put("de", de);
        return new CategoryTreeDTO(name);
    }
}
